/**
 *  RELOAD TOOLS
 *
 *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *  Project Management Contact:
 *
 *  Oleg Liber
 *  Bolton Institute of Higher Education
 *  Deane Road
 *  Bolton BL3 5AB
 *  UK
 *
 *  e-mail:   o.liber@bolton.ac.uk
 *
 *
 *  Technical Contact:
 *
 *  Phillip Beauvoir
 *  e-mail:   p.beauvoir@bolton.ac.uk
 *
 *  Web:      http://www.reload.ac.uk
 *
 */
package uk.ac.reload.scormplayer.client.gui;


/**
 * Icons and images Interface
 * 
 * @author Paul Sharples
 * @version $Id: IIcons.java,v 1.1 2004/07/19 16:42:15 ps3com Exp $
 */
public interface IIcons {
    
    String ICON_PATH = "uk/ac/reload/scormplayer/resources/images/";
    
	String ICON_APP16 = ICON_PATH + "app16.gif";
	String ICON_APP32 = ICON_PATH + "app32.gif";
	String ICON_CP_SCORM_CLOSED = ICON_PATH + "cp_scorm.gif";
	String ICON_CP_SCORM_OPENED = ICON_PATH + "cp_scorm_open.gif";
	String ICON_DELETE = ICON_PATH + "delete.gif";
	String ICON_FOLDER_CLOSED = ICON_PATH + "folder_closed.gif";
	String ICON_FOLDER_OPEN = ICON_PATH + "folder_open.gif";
	String ICON_OPEN = ICON_PATH + "open.gif";
	String ICON_REFRESH = ICON_PATH + "refresh.gif";
	String ICON_RESET = ICON_PATH + "reset.gif";
	String ICON_RESOURCES = ICON_PATH + "resources.gif";
	String ICON_TOMCAT_START = ICON_PATH + "tomcatup.gif";
	String ICON_TOMCAT_END = ICON_PATH + "tomcatdown.gif";
	String ICON_START_SCORM_PACKAGE = ICON_PATH + "start.gif";
	String ICON_SCORM_FOLDER_OPENED = ICON_PATH + "menu_folder_open.gif";
	String ICON_SCORM_FOLDER_CLOSED = ICON_PATH + "menu_folder_closed.gif";
	String ICON_SCORM_ITEM = ICON_PATH + "menu_link_default.gif";
	String ICON_CMI_ROOT_OPEN = ICON_PATH + "cmi_root_open.gif";
	String ICON_CMI_ROOT_CLOSED = ICON_PATH + "cmi_root_closed.gif";
	String ICON_CMI_ELEMENT_FOLDER_CLOSED = ICON_PATH + "cmi_element_folder_closed.gif";
	String ICON_CMI_ELEMENT_FOLDER_OPEN = ICON_PATH + "cmi_element_folder_open.gif";
	String ICON_CMI_ELEMENT_LEAF = ICON_PATH + "cmi_element_leaf.gif";
	String ICON_HIDDEN_ITEM_LEAF = ICON_PATH + "hiddenitemleaf.gif";
	String ICON_HIDDEN_ITEM_CLOSED = ICON_PATH + "hiddenitemclosed.gif";
	String ICON_THREAD = ICON_PATH + "thread.png";
	String IMAGE_SPLASH = ICON_PATH + "splash.gif";
	String IMAGE_EASTER_EGG = ICON_PATH + "easter_egg.jpg";

}
