#!/bin/bash

case $OSTYPE in
  "cygwin"     ) LIBDIR=lib/org.eclipse.swt.win32_3.0.1/os/win32/x86;;
  "linux-gnu"  ) LIBDIR=lib/org.eclipse.swt.gtk_3.0.2/os/linux/x86;;
  *            ) echo SWT library location not known for this OS type: $OSTYPE;;
esac

echo On $OSTYPE,
echo Using library path $LIBDIR.

java -Djava.library.path=$LIBDIR -jar reload-editor.jar

