
package uk.ac.reload.testsupport;



/**
 * Locates some Files for testing
 * 
 * @author Phillip Beauvoir
 * @version $Id: Schemas.java,v 1.4 2004/10/02 17:20:37 phillipus Exp $
 */
public class Schemas {
    
    // MD 1.2.1 Schema
    public static String FILE_SCHEMA_MD121 = "testdata/schema/model/imsmd_121/imsmd_rootv1p2p1.xsd";

    // CP 1.1.3 Schema
    public static String FILE_SCHEMA_CP113 = "testdata/schema/model/imscp_113/imscp_v1p1.xsd";
    
    // SCORM 1.2 with CP 1.1.3 Schema
    public static String FILE_SCHEMA_SCORM12_IMCP113 = "testdata/schema/model/adlcp_120_113/imscp_v1p1.xsd";
    
    // ADL SCORM 1.2 Schema
    public static String FILE_SCHEMA_SCORM12 = "testdata/schema/model/adlcp_120_113/adlcp_rootv1p2.xsd";

    // LD A 1.0 Schema Author version
    public static String FILE_SCHEMA_LDA10_AUTHOR = "testdata/schema/model/imsld_100/author/A/IMS_LD_Level_A.xsd";

    // LD A 1.0 Schema IMS version
    public static String FILE_SCHEMA_LDA10_IMS = "testdata/schema/model/imsld_100/ims/A/IMS_LD_Level_A.xsd";
}
